Secur32.EXTENDED_NAME_FORMAT (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Secur32, class: EXTENDED_NAME_FORMAT

Package com.sun.jna.platform.win32

# Class Secur32.EXTENDED_NAME_FORMAT

java.lang.Object
com.sun.jna.platform.win32.Secur32.EXTENDED_NAME_FORMAT

Enclosing interface:
  Secur32

public abstract static class Secur32.EXTENDED_NAME_FORMAT extends Object
Specifies a format for a directory service object name. http://msdn.microsoft.com/en-us/library/ms724268(VS.85).aspx

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `NameCanonical`
  `static final int`
  `NameCanonicalEx`
  `static final int`
  `NameDisplay`
  `static final int`
  `NameDnsDomain`
  `static final int`
  `NameFullyQualifiedDN`
  `static final int`
  `NameSamCompatible`
  `static final int`
  `NameServicePrincipal`
  `static final int`
  `NameUniqueId`
  `static final int`
  `NameUnknown`
  `static final int`
  `NameUserPrincipal`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EXTENDED_NAME_FORMAT()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NameUnknown

    public static final int NameUnknown
    See Also:
      - Constant Field Values

  - ### NameFullyQualifiedDN

    public static final int NameFullyQualifiedDN
    See Also:
      - Constant Field Values

  - ### NameSamCompatible

    public static final int NameSamCompatible
    See Also:
      - Constant Field Values

  - ### NameDisplay

    public static final int NameDisplay
    See Also:
      - Constant Field Values

  - ### NameUniqueId

    public static final int NameUniqueId
    See Also:
      - Constant Field Values

  - ### NameCanonical

    public static final int NameCanonical
    See Also:
      - Constant Field Values

  - ### NameUserPrincipal

    public static final int NameUserPrincipal
    See Also:
      - Constant Field Values

  - ### NameCanonicalEx

    public static final int NameCanonicalEx
    See Also:
      - Constant Field Values

  - ### NameServicePrincipal

    public static final int NameServicePrincipal
    See Also:
      - Constant Field Values

  - ### NameDnsDomain

    public static final int NameDnsDomain
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EXTENDED_NAME_FORMAT

    public EXTENDED_NAME_FORMAT()